# DaprProtos.TransactionalActorStateOperationOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.TransactionalActorStateOperationOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.TransactionalActorStateOperation`, `DaprProtos.TransactionalActorStateOperation.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.TransactionalActorStateOperationOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsMetadata​(String key)` The metadata used for transactional operations.
`String` `getKey()` `string key = 2;`
`com.google.protobuf.ByteString` `getKeyBytes()` `string key = 2;`
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The metadata used for transactional operations.
`Map<String,​String>` `getMetadataMap()` The metadata used for transactional operations.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The metadata used for transactional operations.
`String` `getMetadataOrThrow​(String key)` The metadata used for transactional operations.
`String` `getOperationType()` `string operationType = 1;`
`com.google.protobuf.ByteString` `getOperationTypeBytes()` `string operationType = 1;`
`com.google.protobuf.Any` `getValue()` `.google.protobuf.Any value = 3;`
`com.google.protobuf.AnyOrBuilder` `getValueOrBuilder()` `.google.protobuf.Any value = 3;`
`boolean` `hasValue()` `.google.protobuf.Any value = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getOperationType

    String getOperationType()

`string operationType = 1;`

Returns:
  The operationType.

#### getOperationTypeBytes

    com.google.protobuf.ByteString getOperationTypeBytes()

`string operationType = 1;`

Returns:
  The bytes for operationType.

#### getKey

    String getKey()

`string key = 2;`

Returns:
  The key.

#### getKeyBytes

    com.google.protobuf.ByteString getKeyBytes()

`string key = 2;`

Returns:
  The bytes for key.

#### hasValue

    boolean hasValue()

`.google.protobuf.Any value = 3;`

Returns:
  Whether the value field is set.

#### getValue

    com.google.protobuf.Any getValue()

`.google.protobuf.Any value = 3;`

Returns:
  The value.

#### getValueOrBuilder

    com.google.protobuf.AnyOrBuilder getValueOrBuilder()

`.google.protobuf.Any value = 3;`

#### getMetadataCount

    int getMetadataCount()

     The metadata used for transactional operations.
     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

#### containsMetadata

    boolean containsMetadata​(String key)

     The metadata used for transactional operations.
     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

#### getMetadata

    @Deprecated
    Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

#### getMetadataMap

    Map<String,​String> getMetadataMap()

     The metadata used for transactional operations.
     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

#### getMetadataOrDefault

    String getMetadataOrDefault​(String key,
                                String defaultValue)

     The metadata used for transactional operations.
     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

#### getMetadataOrThrow

    String getMetadataOrThrow​(String key)

     The metadata used for transactional operations.
     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`